> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spicerack.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Decklist

> Get details of a specific decklist



## OpenAPI

````yaml https://api.spicerack.gg/docs/schema get /api/v1/decklists/{id}/
openapi: 3.0.3
info:
  title: Hydra API
  version: 1.0.0
  description: Hydra API
servers: []
security: []
paths:
  /api/v1/decklists/{id}/:
    get:
      tags:
        - decklists
      summary: Get Decklist
      description: Get details of a specific decklist
      operationId: decklists_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Decklist'
          description: ''
      security:
        - tokenAuth: []
        - cookieAuth: []
        - APIKey: []
        - APIKey: []
        - {}
components:
  schemas:
    Decklist:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 255
        moxfield_deck_json:
          type: string
          nullable: true
        plaintext_list:
          type: string
          nullable: true
        moxfield_public_id:
          type: string
          nullable: true
          maxLength: 255
        deck_image_url:
          type: string
          readOnly: true
        archetype:
          type: string
          nullable: true
          maxLength: 255
      required:
        - deck_image_url
        - id
        - name
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"
    cookieAuth:
      type: apiKey
      in: cookie
      name: sessionid
    APIKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API key in format: sk_*'

````